import turtle
import random
import math
import time

# chiedo parametri della pioggia
print ('imposta i parametri caratteristici della pioggia che vuoi simulare')

# la dimensione massima della goccia
max = int(input('digita la dimensione massima della goccia '))

# calcolo in modo casuale la dimensione minima della goccia e la mostro
min = random.random()*max
print ("la dimensione minima della goccia sara' ",min)

# la distanza minima tra le gocce
dist = int(input('digita la distanza minima tra le gocce '))

# la tempo massimo di attesa tra la caduta di una goccia e l'altra
attesa = int(input("digita il tempo  massimo di attesa tra una goccia e l'altra (in sec) "))

# scelgo un valore per il lato del quadrato su cui far cadere la pioggia
lato = 300

# disegno il quadrato
lato = lato /2
a = turtle.Turtle()
a.hideturtle()
a.penup()
a.goto(-lato,-lato)
a.pendown()
a.goto(-lato,lato)
a.goto(lato,lato)
a.goto(lato,-lato)
a.goto(-lato,-lato)


# inizia la simulazione della pioggia

a.penup()
b = a.clone()
x = random.random()*2*lato-lato
y = random.random()*2*lato-lato
b.goto(x, y)
b.dot(min + random.random()*(max-min),'gray')
  
while True:
  # posizione casuale nuova goccia
  x1 = random.random()*2*lato-lato
  y1 = random.random()*2*lato-lato
  # aspetta prima di farla cadere
  time.sleep(random.random()*attesa)
  
  
  # se "abbastanza" distante dalla precedente la si fa cadere
  if math.sqrt((x-x1)**2+(y-y1)**2) >= dist:
    b = a.clone()
    x = x1
    y = y1
    b.goto(x, y)
    b.dot(min + random.random()*(max-min),'gray')
